KOBJECT_INIT(9)

NAME
kobject_init - initialize a kobject structure

SYNOPSIS

void kobject_init(struct kobject * kobj, struct kobj_type * ktype);

ARGUMENTS

kobj
    pointer to the kobject to initialize

ktype
    pointer to the ktype for this kobject.

DESCRIPTION

This function will properly initialize a kobject such that it can then be passed to the kobject_add call.

After this function is called, the kobject MUST be cleaned up by a call to kobject_put, not by a call to kfree directly to ensure that all of the memory is cleaned up properly.

COPYRIGHT